Skip to main content
GET
checkout_session_get

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

where the access_token is JSON Web Tokens (JWT).

Path Parameters

session_id
string<checkout-id>
required

The session ID

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

includes
enum<string>[]

Include aditional data that are by default excluded from the session details.

  • events.request_headers Include the event headers stored for each event
  • initiating_system_request_headers Include the request headers from the initating system
Available options:
events.request_headers,
initiating_system_request_headers

Response

checkout session

url
object
required
order
object
required
configuration
object
required
id
string

The ID of the Checkout

created_at
string<date-time>

Time when the Checkout was created

customer
object
expires_at
string<date-time>

The session expiration time after which the Checkout page wouldn't be available

checkboxes
object[]

Configuration for checkboxes that should be part of the checkout

Maximum array length: 2
express
object

Present only for Express Checkout sessions.

An Express Checkout session is a session where the end user will submit a shipping address and then select a shipping option before the before a payment method is selected and the payment is initiated.

Endpoints used in the Express Checkout flow.

  1. Set shipping address
  2. Set shipping option
updated_at
string<date-time>

Last time when the Checkout was updated

customer_ip
string

The IP of the customer upon visiting the page. If the page is visited multiple times, the field is always updated with the last known value.

user_agent
string

The full user agent of the device the customer used when visiting the checkout page

initiating_system_request_headers
object
payment_operation
enum<string>

Initiated by the merchant or used to generate a token

Available options:
unscheduled_purchase,
recurring_purchase,
generate_payment_token
events
object[]

Checkout process events

Example:
transaction_id
string

Transaction which has been created using the checkout.

metadata
object

metadata about the session

cancelled_by
string
cancelled_at
string<date-time>

The date-time when the resource was cancelled

Last modified on July 14, 2026